# -----------------------------------------------------------------------------
# Name: PHP format definition
# Version: 1
# Author: BullZip.com
# -----------------------------------------------------------------------------

# -----------------------
# HTML format section
# -----------------------

[HTML]
# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<table style="border: 1px solid #999999; background-color: #eeeeee;" width="100%"><tr><td style="padding: 10px;"><code>

# End Block
FOOTER-HTML=</code></td></tr></table>

# Tag
PATTERN=<
ENTER=HTML-Tag

# Enter Script Block
PATTERN=((<\?)(php)?)|<%
FORMAT-HTML=<span style="background-color: #ffff00">$$</span>
ENTER=PHP

# Line Breaks
PATTERN=\n
FORMAT-HTML=<br>$$

# White Spaces
PATTERN=\t
FORMAT-HTML=&nbsp;&nbsp;&nbsp;&nbsp;

PATTERN=[\f\v]
FORMAT-HTML=&nbsp;

# HTML comments
PATTERN=<!--
ENTER=HTML-Comment

PATTERN=<
FORMAT-HTML=&lt;

PATTERN=>
FORMAT-HTML=&gt;

PATTERN=&
FORMAT-HTML=&amp;

# Collect normal text
PATTERN=[^<>&\t\n]*
FORMAT-HTML=$$

# Unmatched input
PATTERN=.
FORMAT-HTML=$$

# ---------------------------
# PHP format section
# ---------------------------
[PHP]

# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<span style="color: #000000">

# End Block
FOOTER-HTML=</span>

# One Line Comments
PATTERN=//[^\n]*
FORMAT-HTML=<span style="color: #009900"><i>$$</i></span>

# Variables
PATTERN=\$[a-zA-Z_]+[a-zA-Z_0-9]*
FORMAT-HTML=<span style="color: #009999" font-weight: bold;>$$</span>

# Line Breaks
PATTERN=\n
FORMAT-HTML=<Br/>$$
 
# Strings
PATTERN="([^"]|"")*"
FORMAT-HTML=<span style="color: #ff00ff">$$</span>

# Multi line comments
PATTERN=/\*
ENTER=PHP-Comment

# Strings
PATTERN="([^"]|\\")*"
FORMAT-HTML=<span style="color: #990099">$$</span>

# Reserved words
PATTERN=array|bool|break|case|char|class|continue|default|do|double|else|elseif|endfor|endif|endswitch|endwhile|extends|float|for|foreach|function|global|if|include|int|integer|long|mixed|new|object|old_function|php|real|require|return|static|string|switch|var|void|while|__FILE__|__LINE__|E_ERROR|E_NOTICE|E_PARSE|E_WARNING|FALSE|PHP_OS|PHP_VERSION|TRUE
FORMAT-HTML=<span style="color: #000099; font-weight: bold;">$$</span>

# Identifiers
PATTERN=[a-zA-Z_]+[a-zA-Z_0-9]*
FORMAT-HTML=$$

# White Spaces
PATTERN=[\t]
FORMAT-HTML=&nbsp;&nbsp;&nbsp;&nbsp;

PATTERN=[\f\v]
FORMAT-HTML=&nbsp;

# Unmatched input
PATTERN=.
FORMAT-HTML=$$

# Leave Block
PATTERN=%>|\?>
FORMAT-HTML=<span style="background-color: #ffff00">$$</span>
RETURN

# ---------------------------
# HTML Tag format section
# ---------------------------
[HTML-Tag]

# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<span style="color: #0000cc">&lt;

# End Block
FOOTER-HTML=&gt;</span>

# Enter Script Block
PATTERN=((<\?)(php)?)|<%
FORMAT-HTML=<span style="background-color: #ffff00">$$</span>
ENTER=PHP

# Leave Block
PATTERN=>
RETURN

# Attribute
PATTERN=(\s+)(\w*)(\s*)(=)
FORMAT-HTML=<span style="color: #cc0000">$0$1</span>$2$3

# Line Breaks
PATTERN=\n
FORMAT-HTML=<br>$$
 
# Unmatched input
PATTERN=.
FORMAT-HTML=$$

# ---------------------------
# HTML Comment format definition
# ---------------------------
[HTML-Comment]

# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<span style="color: #999999">&lt;--

# End Block
FOOTER-HTML=--&gt;</span>

# Enter Script Block
PATTERN=<%
FORMAT-HTML=
ENTER=VBScript

# Leave Block
PATTERN=-->
RETURN

# Line Breaks
PATTERN=\n
FORMAT-HTML=<br>$$
 
# Unmatched input
PATTERN=.
FORMAT-HTML=$$

# ---------------------------
# PHP Comment format definition
# ---------------------------
[PHP-Comment]

# Set Properties
IGNORECASE=1
MULTILINE=1

# Begin Block
HEADER-HTML=<span style="color: #009900"><i>/*

# End Block
FOOTER-HTML=*/</i></span>

# Leave Block
PATTERN=\*/
RETURN

# Collect normal text
PATTERN=[^\*&\t\n]*
FORMAT-HTML=$$

# Line Breaks
PATTERN=\n
FORMAT-HTML=<br>$$
 
# Tabs
PATTERN=\t
FORMAT-HTML=&nbsp;&nbsp;&nbsp;&nbsp;
 
# Unmatched input
PATTERN=.
FORMAT-HTML=$$
